提交 e295c55f 编写于 作者: B Bruce Momjian

Check for gmake, then make, when doing thread test.

上级 f5dd5bf2
......@@ -19118,6 +19118,46 @@ fi
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
for ac_prog in gmake make
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_MAKE+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$MAKE"; then
ac_cv_prog_MAKE="$MAKE" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_MAKE="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
fi
fi
MAKE=$ac_cv_prog_MAKE
if test -n "$MAKE"; then
echo "$as_me:$LINENO: result: $MAKE" >&5
echo "${ECHO_T}$MAKE" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
test -n "$MAKE" && break
done
echo "$as_me:$LINENO: checking thread safety of required library functions." >&5
echo $ECHO_N "checking thread safety of required library functions.... $ECHO_C" >&6
#
......@@ -19125,12 +19165,12 @@ echo $ECHO_N "checking thread safety of required library functions.... $ECHO_C"
# If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure).
#
gmake -C $srcdir/src/tools/thread clean >&5 ||
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; })
gmake -C $srcdir/src/tools/thread >&5 ||
$MAKE -C $srcdir/src/tools/thread >&5 ||
( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
echo "$as_me: error: Can not build thread test proram." >&2;}
......@@ -19140,7 +19180,7 @@ $srcdir/src/tools/thread/thread_test >&5 ||
{ { echo "$as_me:$LINENO: error: Thread test program failed." >&5
echo "$as_me: error: Thread test program failed." >&2;}
{ (exit 1); exit 1; }; })
gmake -C $srcdir/src/tools/thread clean >&5 ||
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;}
......
dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.325 2004/04/23 23:58:07 momjian Exp $
dnl $PostgreSQL: pgsql/configure.in,v 1.326 2004/04/24 03:09:35 momjian Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
......@@ -1220,22 +1220,23 @@ AC_OUTPUT
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
AC_CHECK_PROGS(MAKE, gmake make)
AC_MSG_CHECKING([thread safety of required library functions.])
#
# Clean, compile, run, and clean thread test directory.
# If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure).
#
gmake -C $srcdir/src/tools/thread clean >&5 ||
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.]))
gmake -C $srcdir/src/tools/thread >&5 ||
$MAKE -C $srcdir/src/tools/thread >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not build thread test proram.]))
$srcdir/src/tools/thread/thread_test >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Thread test program failed.]))
gmake -C $srcdir/src/tools/thread clean >&5 ||
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.]))
echo "yes"
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册